CRAN Package Check Results for Package RPyGeo

Last updated on 2024-06-13 06:58:16 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0.0 2.63 44.16 46.79 NOTE
r-devel-linux-x86_64-debian-gcc 1.0.0 0.33 1.78 2.11 ERROR
r-devel-linux-x86_64-fedora-clang 1.0.0 59.91 NOTE
r-devel-linux-x86_64-fedora-gcc 1.0.0 69.04 NOTE
r-devel-windows-x86_64 1.0.0 4.00 55.00 59.00 NOTE
r-patched-linux-x86_64 1.0.0 3.03 43.58 46.61 NOTE
r-release-linux-x86_64 1.0.0 1.72 42.02 43.74 NOTE
r-release-macos-arm64 1.0.0 25.00 NOTE
r-release-macos-x86_64 1.0.0 39.00 NOTE
r-release-windows-x86_64 1.0.0 4.00 57.00 61.00 NOTE
r-oldrel-macos-arm64 1.0.0 27.00 NOTE
r-oldrel-macos-x86_64 1.0.0 39.00 NOTE
r-oldrel-windows-x86_64 1.0.0 4.00 58.00 62.00 NOTE

Check Details

Version: 1.0.0
Check: LazyData
Result: NOTE 'LazyData' is specified without a 'data' directory Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64, r-patched-linux-x86_64, r-release-linux-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-x86_64, r-oldrel-macos-arm64, r-oldrel-macos-x86_64, r-oldrel-windows-x86_64

Version: 1.0.0
Check: package dependencies
Result: ERROR Packages required but not available: 'stringr', 'purrr' Package suggested but not available for checking: ‘testthat’ See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc